##
##  fpdns.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         fpdns
Summary:      Fingerprint DNS Servers
URL:          http://www.rfc.se/fpdns/
Vendor:       ?
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        DNS
License:      MIT-style
Version:      0.9.1
Release:      20080101

#   list of sources
Source0:      http://www.rfc.se/fpdns/distfiles/fpdns-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130
PreReq:       OpenPKG, openpkg >= 20040130, perl, perl-dns
AutoReq:      no
AutoReqProv:  no

%description
    FpDNS is a DNS server finger-printing utility. The methodology
    used to identify individual nameserver implementations is based on
    "borderline" protocol behaviour. The DNS protocol offers a multitude
    of message bits, response types, opcodes, classes, query types
    and label types in a fashion that makes some mutually exclusive
    while some are not used in a query messages at all. Not every
    implementation offers the full set of features the DNS protocol
    set currently has. Some implementations offer features outside the
    protocol set, and there are implementations that do not conform to
    standards.

%track
    prog fpdns = {
        version   = %{version}
        url       = http://www.rfc.se/fpdns/distfiles/
        regex     = fpdns-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c

%build

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -m 755 \
        -e 's;/usr/bin/perl;%{l_prefix}/bin/perl;' \
        fpdns.pl $RPM_BUILD_ROOT%{l_prefix}/bin/fpdns
    %{l_shtool} install -c -m 644 \
        fpdns.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

